Subject: Re: [PATCH] net: phy: marvell10g: disable temperature sensor on 2110

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 16 Apr 2020 19:57:29 +0100

On Thu, Apr 16, 2020 at 05:48:20PM +0300, Baruch Siach wrote:
> Hi Andrew,
> 
> On Thu, Apr 16 2020, Andrew Lunn wrote:
> > On Thu, Apr 16, 2020 at 05:32:36PM +0300, Baruch Siach wrote:
> >> The 88E2110 temperature sensor is in a different location than 88X3310,
> >> and it has no enable/disable option.
> >
> > Hi Buruch
> >
> > How easy would it be to support the new location? These things can get
> > warm, specially if there is no heat sink attached. So it would be nice
> > to support it, if possible.
> 
> Adding support should not be too hard. I might find some time to work on
> this in the next few days.
> 
> I think this patch should go to -stable, so it is useful on its
> own. Support for 2110 hwmon sensor is net-next material.

Irrespective of that, we really need some way to test changes to this
driver on the 88E2110 PHYs.  Right now, there's a high chance of
breakage because afaik no one tests the patches I send to netdev on
this, so the only time we find out that something breaks is after the
fact, and your patch shows that it takes many kernel revisions before
breakage is spotted.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up